# rpmdistro-repoquery

This tool utilizes [DNF](http://dnf.baseurl.org) to let you query across several RPM-based Linux distributions.

Currently, the tool supports the following distributions:

* Fedora
* Mageia
* openSUSE Leap
* openSUSE Tumbleweed
* CentOS (with EPEL)
* CentOS Stream (with EPEL)
* AlmaLinux (with EPEL)
* Red Hat Enterprise Linux Universal Base Image (RHEL UBI)
* SUSE Linux Enterprise Base Container Image (SLE BCI)
* Amazon Linux

# How to use it

Ensure that the `dnf` and `distribution-gpg-keys` packages are installed on your system.

Both are available in the following distributions:

* Fedora
* Mageia (since Mageia 6)
* openSUSE Leap (since 15.0)
* openSUSE Tumbleweed (since April 2018)
* CentOS (since 7.6) and derivatives with EPEL installed and enabled

```bash
$ ./rpmdistro-repoquery ./distros/<distro> <releasever> [<repoquery options> ...] <pkg-or-file-path>

```

If the `<distro>` argument is specified without a path, `rpmdistro-repoquery` will look in `/usr/share/rpmdistro-repoquery`.

## openSUSE specific notes

For a special case, openSUSE Tumbleweed would work as the following with repoquery:

```bash

$ ./rpmdistro-repoquery ./distros/opensuse-tumbleweed 0 [<repoquery options> ...] <pkg-or-file-path>

```

This is because openSUSE Tumbleweed doesn't have a defined release ver, so you can put whatever value you want in the second position.

However, if you want to query various released snapshots for comparisons, you can:

```bash

$ ./rpmdistro-repoquery ./distros/opensuse-tumbleweed-snapshot 20190423 [<repoquery options> ...] <pkg-or-file-path>

```

A [list of available Tumbleweed snapshots](http://download.opensuse.org/history/list) to query is published by openSUSE.

## Amazon Linux specific notes

This tool only supports Amazon Linux 2023 and newer.
